Subject: bug#41059: closed (Re: bug#41059: Contributing section from manual does not work when I'm working on some patches)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2020 15:38:02 +0000

Your bug report

#41059: Contributing section from manual does not work when I'm working on some patches

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41059: Contributing section from manual does not work when I'm working on some patches
From: Marius Bakke <[email-masked]>
To: Josh Marshall <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 May 2020 17:37:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Josh Marshall <[email-masked]> writes:

> Close fixed

OK, closing by adding -done to the bug email address.

Thanks!

Subject: Contributing section from manual does not work when I'm working on some patches
From: Josh Marshall <[email-masked]>
To: [email-masked]
Date: Sun, 3 May 2020 14:08:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

So I'm trying to get individual patches for the django overhaul I've been
working on polished up and ready for submission.  Trying to follow the
steps in the manual for running and testing builds of these is not
working.  lfam from IRC suggested that guile-gcrypt might be missing, but
that implies that required dependencies are missing.

Working off of commit 223e920abc023be91fe1e6747c599d547ad12bc5

with patch
```
diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 2cfaddbc5f..e2f90c1240 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -31,6 +31,7 @@
 ;;; Copyright © 2019 Pierre Langlois <[email-masked]>
 ;;; Copyright © 2019 Chris Marusich <[email-masked]>
 ;;; Copyright © 2020 Lars-Dominik Braun <[email-masked]>
+;;; Copyright © 2020 Josh Marshall <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1398,6 +1399,32 @@ executed.")
 (define-public python2-coverage
   (package-with-python2 python-coverage))

+(define-public python-pytest-asyncio
+  (package
+    (name "python-pytest-asyncio")
+    (version "0.10.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "pytest-asyncio" version))
+        (sha256
+          (base32
"1bysy4nii13bm7h345wxf8fxcjhab7l374pqdv7vwv3izl053b4z"))))
+  (build-system python-build-system)
+  (propagated-inputs
+   `(("python-pytest" ,python-pytest)))
+  (native-inputs
+   `(("python-coverage" ,python-coverage)
+     ("python-async-generator" ,python-async-generator)
+     ("python-hypothesis" ,python-hypothesis)))
+  (home-page "https://github.com/pytest-dev/pytest-asyncio")
+  (synopsis "Pytest support for asyncio.")
+  (description "Python asyncio code is usually written in the form of
+coroutines, which makes it slightly more difficult to test using normal
+testing tools. pytest-asyncio provides useful fixtures and markers to make
+testing easier.")
+  (license license:asl2.0)))
+
+
 (define-public python-cov-core
   (package
     (name "python-cov-core")
```

has the following results from various invocations:

```
anadon@goodadvicemallard:~/documents/code/guix$ ./pre-inst-env guix
guile: warning: failed to install locale
Backtrace:
In ice-9/threads.scm:
    390:8 19 (_ _)
In ice-9/boot-9.scm:
  2994:20 18 (_)
   2312:4 17 (save-module-excursion _)
  3014:26 16 (_)
In unknown file:
          15 (primitive-load-path "guix/store" #<procedure 7fa451b4a?>)
In guix/store.scm:
     22:0 14 (_)
In ice-9/boot-9.scm:
   2874:4 13 (define-module* _ #:filename _ #:pure _ #:version _ # _ ?)
  2887:24 12 (_)
   222:29 11 (map1 (((guix utils)) ((guix config)) ((guix #)) ((?)) ?))
   222:29 10 (map1 (((guix config)) ((guix deprecation)) ((guix ?)) ?))
   222:29  9 (map1 (((guix deprecation)) ((guix memoization)) ((?)) ?))
   222:29  8 (map1 (((guix memoization)) ((guix serialization)) (#) ?))
   222:29  7 (map1 (((guix serialization)) ((guix monads)) ((# #)) ?))
   222:29  6 (map1 (((guix monads)) ((guix records)) ((guix #)) (#) ?))
   222:29  5 (map1 (((guix records)) ((guix base16)) ((guix #)) (#) ?))
   222:29  4 (map1 (((guix base16)) ((guix base32)) ((gcrypt #)) # ?))
   222:29  3 (map1 (((guix base32)) ((gcrypt hash)) ((guix #)) (#) ?))
   222:17  2 (map1 (((gcrypt hash)) ((guix profiling)) ((rnrs #)) # ?))
   2803:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)

ERROR: In procedure scm-error:
no code for module (gcrypt hash)
```

```
anadon@goodadvicemallard:~/documents/code/guix$ guix environment guix --
./pre-inst-env guix
guile: warning: failed to install locale
guix environment: error: failed to connect to
`/var/guix/daemon-socket/socket': Connection refused
```

```
anadon@goodadvicemallard:~/documents/code/guix$ guix environment guix --
./pre-inst-env guix build python-pytest-asyncio
guile: warning: failed to install locale
guix build: error: failed to connect to
`/usr/local/var/guix/daemon-socket/socket': Connection refused
```

The daemon has been run via systemd and
`anadon@goodadvicemallard:~/documents/code/guix$
sudo -E ./pre-inst-env guix-daemon --build-users-group=guixbuild` to
similar effect.